Bug 436939 - s-c-cluster says fence_apc's "switch" option must be provided, but it's optional
s-c-cluster says fence_apc's "switch" option must be provided, but it's optional
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-cluster (Show other bugs)
All Linux
medium Severity low
: rc
: ---
Assigned To: Ryan McCabe
Depends On:
Blocks: 491937
  Show dependency treegraph
Reported: 2008-03-11 05:48 EDT by Kazuo Moriwaka
Modified: 2016-04-26 09:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 491937 (view as bug list)
Last Closed: 2010-03-30 04:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
FenceHandler.py patch (423 bytes, patch)
2008-03-11 05:48 EDT, Kazuo Moriwaka
no flags Details | Diff

  None (edit)
Description Kazuo Moriwaka 2008-03-11 05:48:13 EDT
Description of problem:

system-config-cluster's validator checks as
fence_apc's "switch" option is need. 
But it is optional (can be blank).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. set fence_apc as fence device
2. set switch option value as blank
Actual results:

cause an error as 
"A switch address must be provided for this Fence"

Expected results:

blank switch is accepted.

Additional info:
Comment 1 Kazuo Moriwaka 2008-03-11 05:48:13 EDT
Created attachment 297588 [details]
FenceHandler.py patch
Comment 2 Jim Parsons 2008-03-11 10:36:47 EDT
Will jerk the offensive lines.
Comment 8 Chris Ward 2010-02-11 05:15:13 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 9 Kazuo Moriwaka 2010-02-12 01:40:25 EST
I verified 5.5beta package. I found no problems.
Thank you.
Comment 10 Brian Brock 2010-03-09 15:20:58 EST
customer verified fix, and I do not see any errors.

changing state to verified
Comment 14 errata-xmlrpc 2010-03-30 04:54:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.